package com.ejie.ab79.model.propuestaSancion;

import java.util.Date;

import com.ejie.ab79.model.procedimientos.Procedimientos;
import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * 
 *  
 *
 */

public class Infracciones implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idInfraccion;
	private Procedimientos procedimiento;
	private Calificaciones calificaciones;
	private String articulo;
	private String descripcionCastellano;
	private String descripcionEuskera;
	private Integer baja;
	private Long idDireccion;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Infracciones'.
	 */
	public Infracciones() {
	}

	/**
	 * Method 'Infracciones'.
	 * 
	 * @param idInfraccion
	 *            Integer
	 */
	public Infracciones(Integer idInfraccion) {
		this.idInfraccion = idInfraccion;
	}

	/**
	 * @return the idInfraccion
	 */
	public Integer getIdInfraccion() {
		return this.idInfraccion;
	}

	/**
	 * @param idInfraccion
	 *            the idInfraccion to set
	 */
	public void setIdInfraccion(Integer idInfraccion) {
		this.idInfraccion = idInfraccion;
	}

	/**
	 * @return the procedimiento
	 */
	public Procedimientos getProcedimiento() {
		return this.procedimiento;
	}

	/**
	 * @param procedimiento
	 *            the procedimiento to set
	 */
	public void setProcedimiento(Procedimientos procedimiento) {
		this.procedimiento = procedimiento;
	}

	/**
	 * @return the calificaciones
	 */
	public Calificaciones getCalificaciones() {
		return this.calificaciones;
	}

	/**
	 * @param calificaciones
	 *            the calificaciones to set
	 */
	public void setCalificaciones(Calificaciones calificaciones) {
		this.calificaciones = calificaciones;
	}

	/**
	 * @return the articulo
	 */
	public String getArticulo() {
		return this.articulo;
	}

	/**
	 * @param articulo
	 *            the articulo to set
	 */
	public void setArticulo(String articulo) {
		this.articulo = articulo;
	}

	/**
	 * @return the descripcionCastellano
	 */
	public String getDescripcionCastellano() {
		return this.descripcionCastellano;
	}

	/**
	 * @param descripcionCastellano
	 *            the descripcionCastellano to set
	 */
	public void setDescripcionCastellano(String descripcionCastellano) {
		this.descripcionCastellano = descripcionCastellano;
	}

	/**
	 * @return the descripcionEuskera
	 */
	public String getDescripcionEuskera() {
		return this.descripcionEuskera;
	}

	/**
	 * @param descripcionEuskera
	 *            the descripcionEuskera to set
	 */
	public void setDescripcionEuskera(String descripcionEuskera) {
		this.descripcionEuskera = descripcionEuskera;
	}

	/**
	 * @return the baja
	 */
	public Integer getBaja() {
		return this.baja;
	}

	/**
	 * @param baja
	 *            the baja to set
	 */
	public void setBaja(Integer baja) {
		this.baja = baja;
	}

	public Long getIdDireccion() {
		return idDireccion;
	}

	public void setIdDireccion(Long idDireccion) {
		this.idDireccion = idDireccion;
	}

	/**
	 * @return the fechaRegistro
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * @param fechaRegistro
	 *            the fechaRegistro to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * @return the usuarioRegistro
	 */
	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * @param usuarioRegistro
	 *            the usuarioRegistro to set
	 */
	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * @return the fechaUltmodificacion
	 */
	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * @param fechaUltmodificacion
	 *            the fechaUltmodificacion to set
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * @return the usuarioUltmodificacion
	 */
	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * @param usuarioUltmodificacion
	 *            the usuarioUltmodificacion to set
	 */
	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

}
